body {
    font-family: 'Fira Sans', sans-serif;
    background-color: #2d2d2d;
    color: #ffffff;
    margin: 0;
    padding: 0;
    cursor: default;
    line-height: 1.6;
    transition: background-color 0.3s, color 0.3s;
}
body.light-theme {
    background-color: #f0f4f8;
    color: #333333;
}
.container {
    max-width: 1200px;
    margin: 0 auto;
    padding: 20px;
    position: relative;
}
header {
    text-align: center;
    padding: 20px 0;
}
header h1 {
    font-size: 2.5rem;
    color: #ff8c42;
    margin: 0;
}
.theme-toggle {
    position: fixed;
    top: 20px;
    right: 60px;
    background-color: transparent;
    border: none;
    cursor: pointer;
    font-size: 1.2rem;
    z-index: 1000;
}
.latest-page {
    position: fixed;
    top: 60px;
    right: 20px;
    background-color: transparent;
    border: none;
    cursor: pointer;
    font-size: 1.2rem;
    z-index: 1000;
}
.latest-page a {
    text-decoration: none;
    color: inherit;
}
.history-page {
    position: fixed;
    top: 20px;
    right: 20px;
    background-color: transparent;
    border: none;
    cursor: pointer;
    font-size: 1.2rem;
    z-index: 1000;
}
.history-page a {
    text-decoration: none;
    color: inherit;
}
.search-section {
    display: flex;
    justify-content: center;
    margin: 20px 0;
}
.search-box {
    display: flex;
    align-items: center;
    background-color: #333333;
    padding: 10px;
    border-radius: 5px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.5);
    transition: background-color 0.3s, color 0.3s;
    max-width: 60%;
    width: 500px;
    height: 40px;
}
@media (max-width: 600px) {
    .search-box {
        max-width: 80%;
    }
}
body.light-theme .search-box {
    background-color: #ffffff;
    color: #333333;
}
.search-box input[type="text"] {
    padding: 7px;
    font-size: 1rem;
    border: none;
    background-color: transparent;
    color: inherit;
    width: 100%;
    flex-grow: 1;
    min-width: 0;
}
.search-mode-toggle {
    background-color: transparent;
    border: none;
    cursor: pointer;
    font-size: 1.2rem;
    margin-right: 12px;
    padding: 0;
}
.search-button {
    background-color: transparent;
    border: none;
    padding: 10px 15px;
    cursor: pointer;
    border-radius: 5px;
    margin-left: 0px;
}
.github-info-ball {
    position: fixed;
    top: 20px;
    left: 20px;
    width: 50px;
    height: 50px;
    background-color: #000000;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.5);
    z-index: 1000;
    transition: all 0.3s ease;
    transition: opacity 0.3s ease;
}
body.light-theme .github-info-ball {
    background-color: #ffffff;
}
.github-info-ball.hide {
    opacity: 0;
    visibility: hidden;
}
.github-info-ball i {
    font-size: 1.5rem;
}
.github-info-panel {
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 300px;
    max-height: 80vh;
    background-color: #333333;
    padding: 20px;
    border-radius: 10px;
    box-shadow: 0 0 20px rgba(0, 0, 0, 0.5);
    opacity: 0;
    transition: all 0.3s ease;
    z-index: 999;
    overflow-y: auto;
    transition: opacity 0.3s ease, visibility 0.3s ease;
}
body.light-theme .github-info-panel {
    background-color: #ffffff;
    color: #333333;
}
.github-info-panel.active {
    opacity: 1;
    visibility: visible;
}
.github-info-panel:not(.active) {
    opacity: 0;
    visibility: hidden;
}
.close-button {
    position: fixed;
    top: 20px;
    right: 20px;
    background-color: transparent;
    border: none;
    cursor: pointer;
    font-size: 1.2rem;
    z-index: 1000;
}
.github-profile {
    display: flex;
    align-items: center;
    margin-bottom: 20px;
}
.github-profile a {
    display: flex;
    align-items: center;
    text-decoration: none;
    color: inherit;
}
.github-profile img {
    width: 60px;
    height: 60px;
    border-radius: 50%;
    margin-right: 20px;
}
.github-profile h2 {
    font-size: 1.8rem;
    color: #ff8c42;
    margin: 0;
}
.github-info p {
    margin: 5px 0;
    color: #cccccc;
}
body.light-theme .github-info p {
    color: #666666;
}
.github-repos h3 {
    color: #ff8c42;
    margin-top: 0;
    text-align: center;
}
.github-repos ul {
    list-style-type: none;
    padding: 0;
}
.github-repos ul li {
    margin: 10px 0;
    background-color: #444444;
    padding: 10px;
    border-radius: 5px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.3);
    transition: transform 0.2s, box-shadow 0.2s;
}
body.light-theme .github-repos ul li {
    background-color: #f0f0f0;
}
.github-repos ul li:hover {
    transform: translateY(-2px);
    box-shadow: 0 4px 15px rgba(0, 0, 0, 0.4);
}
.github-repos ul li a {
    display: flex;
    align-items: center;
    color: inherit;
    text-decoration: none;
    transition: all 0.3s ease;
}
.github-repos ul li a i {
    margin-right: 10px;
    color: #ff8c42;
}
.github-repos ul li a span {
    flex-grow: 1;
}
.github-repos ul li a:hover {
    text-decoration: none;
    color: #63bbd0
}
.github-repos ul li .note {
    margin: 0 0;
    text-align: right;
    font-size: 0.6rem;
    display: none;
}
.view-more-button {
    background-color: #e67e22;
    border: none;
    padding: 10px;
    border-radius: 5px;
    font-size: 1rem;
    cursor: pointer;
    color: #ffffff;
    width: 60%;
    text-align: center;
    margin: auto;
}
.view-more-button:hover {
    background-color: #ff8c42;
}
::-webkit-scrollbar {
    width: 10px;
    background-color: transparent;
}
::-webkit-scrollbar-thumb {
    background-color: #666666;
    border-radius: 6px;
    display: none;
}
::-webkit-scrollbar-thumb:hover {
    display: block;
}
body.light-theme ::-webkit-scrollbar-thumb {
    background-color: #888888;
}
.main-content {
    max-width: 1200px;
    margin: 0 auto;
    padding: 20px;
}
.main-content h2 {
    color: #ff8c42;
    margin-top: 0;
    text-align: center;
}
.card-container {
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
    justify-content: center;
}
.card {
    background-color: #444444;
    text-align: center;
    padding: 20px;
    border-radius: 10px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.5);
    flex: 1 1 calc(10% - 50px);
    max-width: calc(20% - 50px);
    transition: background-color 0.3s, transform 0.3s;
    position: relative;
}
@media (max-width: 600px) {
    .card {
        padding: 10px;
        flex: 1 1 calc(15% - 20px);
        max-width: calc(30% - 20px);
    }
}
body.light-theme .card {
    background-color: #ffffff;
    color: #333333;
}
.card:hover {
    background-color: #555555;
    transform: translateY(-5px);
}
body.light-theme .card:hover {
    background-color: #f0f0f0;
}
.card h3 {
    text-align: center;
    margin-top: 0;
    margin-bottom: 0;
}
.card p {
    margin: 10px 0;
    text-align: center;
}
.card .note {
    margin: 0 0;
    text-align: center;
    font-size: 0.7rem;
    color: inherit;
    display: none;
}
.card a {
    color: inherit;
    margin: 10px 0;
    font-size: 1.3rem;
    cursor: pointer;
    text-decoration: none;
    transition: all 0.3s ease;
}
.card-icon {
    width: 1.3em;
    height: 1.3em;
    display: inline-block;
    object-fit: contain;
    vertical-align: middle;
}
.card a:hover {
    text-decoration: none;
    color: #63bbd0
}


.note-display-toggle {
    position: fixed;
    top: 20px;
    right: 100px;
    background-color: transparent;
    border: none;
    cursor: pointer;
    font-size: 1.2rem;
    z-index: 1000;
}
.card .tooltip {
    visibility: hidden;
    background-color: #333333;
    color: #ffffff;
    text-align: center;
    border-radius: 5px;
    padding: 10px;
    position: absolute;
    z-index: 1;
    bottom: 125%;
    width: 130%;
    transform: translateX(-30%);
    opacity: 0;
    transition: opacity 0.3s, visibility 0.3s;
}
.card:hover .tooltip {
    visibility: visible;
    opacity: 0.8;
}
footer {
    text-align: center;
    padding: 20px 0;
    color: #cccccc;
    font-size: 0.9rem;
    margin-top: 40px;
}
.highlight {
    background-color: transparent;
    border: 2px solid #00ccff;
    border-radius: 5px;
    transition: border-color 0.3s;
}

.w-d-button {
    color: #eeeeee;
}
.w-d-button:hover {
    color: #ffffff;
}
body.light-theme .w-d-button {
    color: #000000;
}
body.light-theme .w-d-button:hover {
    color: #666666;
}
.white-black {
    color: #ffffff;
}
body.light-theme .white-black {
    color: #000000;
}
.black-white {
    color: #000000;
}
body.light-theme .black-white {
    color: #ffffff;
}
.white {
    color: #eeeeee;
}
body.light-theme .white {
    color: #eeeeee;
}
.black {
    color: #0f0f0f;
}
body.light-theme .black {
    color: #333333;
}
.grey {
    color: #b5aa90;
}
body.light-theme .grey {
    color: #9a8878;
}
.red {
    color: #ed5126;
}
body.light-theme .red {
    color: #f43e06;
}
.pink {
    color: #f1939c;
}
body.light-theme .pink {
    color: #ea7293;
}
.green {
    color: #20a162;
}
body.light-theme .green {
    color: #20894d;
}
.green-L {
    color: #41b349;
}
body.light-theme .green-L {
    color: #41ae3c;
}
.blue {
    color: #22a2c3;
}
body.light-theme .blue {
    color: #2486b9;
}
.yellow {
    color: #fbda41;
}
body.light-theme .yellow {
    color: #dc9123;
}
.orange {
    color: #fba414;
}
body.light-theme .orange {
    color: #f97d1c;
}
.cyan {
    color: #63bbd0;
}
body.light-theme .cyan {
    color: #5cb3cc;
}
.purple {
    color: #815c94;
}
body.light-theme .purple {
    color: #8b2671;
}
